﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ASPItalia.com.TicketTwo.Common.ObjectModel;
using ASPItalia.com.TicketTwo.Data;

namespace ASPItalia.com.TicketTwo.Business
{
    public class ExhibitionsManager : IEntityManager<Exhibition>
    {

        private ExhibitionsData ExhibitionsData = new ExhibitionsData();

        #region IEntityManager<Exhibition> Members

        public IQueryable<Exhibition> List()
        {
            return ExhibitionsData.List();
        }

		//Esempio di personalizzazione
        public IQueryable<Exhibition> GetByTour(int tourID)
        {
            return List().Where(x => x.TourID == tourID);
        }

        public void Create(Exhibition entity)
        {
            ExhibitionsData.Create(entity);
        }

        public void Update(Exhibition entity)
        {
            ExhibitionsData.Update(entity);
        }

        public void Delete(Exhibition entity)
        {
            ExhibitionsData.Delete(entity);
        }

        #endregion
    }
}
