﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.ServiceModel.Syndication;
using System.ServiceModel.Web;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Contracts
{
	// TODO: 04 Contratto WCF
    [ServiceContract(Namespace = "http://services.aspitalia.com/TicketTwo/")]
    [ServiceKnownType(typeof(Rss20FeedFormatter))]
    [ServiceKnownType(typeof(Atom10FeedFormatter))]
    public interface ITicketTwoService
    {
        [WebGet(UriTemplate = "LastExhibitions/{type}")]
        [OperationContract()]
        SyndicationFeedFormatter GetLastExhibitions(string type);

        [OperationContract()]
        List<Tour> ListTours();

        [OperationContract()]
        List<Exhibition> ListExhibitions(int tourID);

        [OperationContract()]
        List<TicketRange> ListTicketRanges(int ExhibitionID);

        [OperationContract()]
        void AddOrderItem(AddOrderItemRequest request);
    }

    public enum FeedType
    {
        RSS20,
        Atom10
    }

    [DataContract()]
    public class AddOrderItemRequest
    {
        [DataMember()]
        public String SessionID;
        [DataMember()]
        public OrderItem OrderItem;
    }
}