﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Browser;

namespace ASPItalia.com.TicketTwo.Silverlight
{
    public partial class App : Application
    {

        private TicketTwoManager _ticketTwoManager;
        private Navigation _navigation;
        private string anonymousID;
		private string _basketUpdateID;

        public App()
        {
            this.Startup += this.Application_Startup;
            this.Exit += this.Application_Exit;
            this.UnhandledException += this.Application_UnhandledException;

            InitializeComponent();
        }

		/// <summary>
		/// Restituisce l'oggetto gestore del ordine corrente
		/// </summary>
        public TicketTwoManager TicketTwoManager
        {
            get
            {
                if (_ticketTwoManager == null)
                    _ticketTwoManager = new TicketTwoManager(anonymousID);
                return _ticketTwoManager;
            }
        }

        public Navigation Navigation
        {
            get { return _navigation; }
        }

		/// <summary>
		/// Restituisce l'ID del controllo da utilizzare per l'update del carrello
		/// </summary>
		public string BasketUpdateID
		{
			get { return _basketUpdateID; }
		}

        private void Application_Startup(object sender, StartupEventArgs e)
        {
            anonymousID = e.InitParams["ID"];
			_basketUpdateID = e.InitParams["BacketUpdateScript"];

            // Load the main control
            _navigation = new Navigation();
            this.RootVisual = this.Navigation;

			// Navigo sulla pagina principale
            Navigation.NavigateToPage(new Page());
        }

        private void Application_Exit(object sender, EventArgs e)
        {
        }

        private void Application_UnhandledException(object sender, ApplicationUnhandledExceptionEventArgs e)
        {
            HtmlPage.Window.Alert(e.ExceptionObject.ToString());
        }
    }
}
