﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.ServiceModel;
using ASPItalia.com.TicketTwo.Silverlight.Services;
using System.Windows.Media.Imaging;


namespace ASPItalia.com.TicketTwo.Silverlight
{
    public partial class Page : UserControl
    {
        private TicketTwoManager ticketTwoManager;
		private BuyTicket buyTicket;

        public Page()
        {
            InitializeComponent();

			// TODO: 07 uso del contesto di dati
            ticketTwoManager = ((App)Application.Current).TicketTwoManager;
			this.DataContext = ticketTwoManager;
        }

        private void ListBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            // Imposto l'immagine che deve scomparire
            if (e.RemovedItems.Count > 0)
                manifestOutImage.Source = GetTourManifestUri((Tour)e.RemovedItems[0]);
            // Imposto l'immagine che deve comparire
            if (e.AddedItems.Count > 0)
            {
                Tour tour = (Tour)e.AddedItems[0];
                ticketTwoManager.SelectedTour = tour;
                manifestInImage.Source = GetTourManifestUri(tour);

                tourDescription.Text = tour.Description;
                tourSiteUrl.NavigateUri = new Uri(tour.SiteUrl);
                tourSiteUrl.Content = tourSiteUrl.NavigateUri.Host;
            }

            manifestIn.Begin();
        }

        private ImageSource GetTourManifestUri(Tour tour)
        {
            return new BitmapImage(new Uri(String.Format("http://localhost:2884/Manifest.ashx?idtour={0}", tour.ID)));
        }

        private void BuyTicket_Click(object sender, RoutedEventArgs e)
        {
			if (ticketTwoManager.SelectedTour == null) return;
			
			App app = (App)Application.Current;
			if (buyTicket == null)
				buyTicket = new BuyTicket();
			buyTicket.Update();
			app.Navigation.NavigateToPage(buyTicket);
		}


    }

}
