﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using ASPItalia.com.TicketTwo.Business;
using ASPItalia.com.TicketTwo.Common.ObjectModel;

namespace ASPItalia.com.TicketTwo.Web
{
	public partial class CheckOut : System.Web.UI.Page
	{
		protected void Page_Load(object sender, EventArgs e)
		{

		}

		protected void Confirm_Click(object sender, EventArgs e)
		{
			OrdersManager manager = new OrdersManager();
			Order order = manager.List().Where(x => x.AnonymousID == Request.AnonymousID).SingleOrDefault();

			bool hasOrder = false;
			// controllo che ci sia un ordine
			hasOrder = (order != null);
			
			// controllo che ci sia qualcosa da comprare
			decimal? amount = 0;
			if (!hasOrder)
			{
				amount = (from oi in new OrderItemsManager().List()
						  where oi.Order.AnonymousID == Request.AnonymousID
						  select ((decimal?)oi.Amount)).Sum();

				if (!amount.HasValue)
					amount = 0;

				hasOrder = amount > 0;
			}

			if (!hasOrder)
			{
				ErrorPanel.Visible = true;
				return;
			}

			// aggiorno l'ordine
			order.FullName = FullName.Text;
			order.DeliveryAddress = Address.Text;
			order.DeliveryPostalCode = PostalCode.Text;
			order.DeliveryCity = City.Text;
			order.DeliveryState = State.Text;
			order.Confirmed = true;

			// aggiorno il totale dell'ordine
			order.Amount = amount.Value;

			manager.Update(order);

			// TODO - mandare una mail di riepilogo

			Response.Redirect("confirm.aspx");
		}
	}
}
