﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using ASPItalia.com.TicketTwo.Business;

namespace ASPItalia.com.TicketTwo.Web.GUI
{
	public partial class Basket : System.Web.UI.UserControl
	{
		protected override void OnLoad(EventArgs e)
		{
			base.OnLoad(e);

			Update();
		}

		public void Update()
		{
			// elenco roba nel carrello
			OrderItemsManager orders = new OrderItemsManager();
			var c = from oi in orders.List()
					where oi.Order.AnonymousID == Request.AnonymousID
					select new { Description = oi.TicketRange.Name, Quantity = oi.Quantity, Price = oi.TicketRange.Price };

			BasketContainer.DataSource = c;
			BasketContainer.DataBind();

			decimal? amount = (from oi in orders.List()
							   where oi.Order.AnonymousID == Request.AnonymousID
							   select ((decimal?)oi.Amount)).Sum();
			if (!amount.HasValue)
				amount = 0;

			TotalAmount.Text = amount.Value.ToString("n2");
		}
	}
}